# Code adapted from DCWorkflow/Scripts

from OFS.Folder import Folder
from Globals import InitializeClass
from AccessControl import ClassSecurityInfo

from Products.CMFCore.CMFCorePermissions import ManagePortal

from Products.DCWorkflow.ContainerTab import ContainerTab


class Scripts(ContainerTab):

    meta_type = 'Maintenance Scripts'

    security = ClassSecurityInfo()
    security.declareObjectProtected(ManagePortal)

    def manage_main(self, client=None, REQUEST=None, **kw):
        '''
        '''
        kw['management_view'] = 'Scripts'
        m = Folder.manage_main.__of__(self)
        return m(self, client, REQUEST, **kw)
        
InitializeClass(Scripts)
